using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;

public partial class _Default : System.Web.UI.Page 
{
    DataTable employeeInfo;

    protected void Page_Load(object sender, EventArgs e)
    {
        EmployeeSearchRadComboBox.Items.Add(new RadComboBoxItem("test1", "1"));
        EmployeeSearchRadComboBox.Items.Add(new RadComboBoxItem("test2", "2"));
        EmployeeSearchRadComboBox.Items.Add(new RadComboBoxItem("test3", "3"));
        EmployeeSearchRadComboBox.Items.Add(new RadComboBoxItem("test4", "4"));

        DataSet ds = new DataSet();
        employeeInfo = ds.Tables.Add();
        employeeInfo.Columns.Add("Name", Type.GetType("System.String"));
        employeeInfo.Columns.Add("ID", Type.GetType("System.String"));

        employeeInfo.Rows.Add("test5", "5");
        employeeInfo.Rows.Add("test6", "6");
        employeeInfo.Rows.Add("test7", "7");
        employeeInfo.Rows.Add("test8", "8");
        employeeInfo.Rows.Add("test9", "9");
        employeeInfo.Rows.Add("test10", "10");
    }

    protected void EmployeeSearchRadComboBox_ItemsRequested(object o,RadComboBoxItemsRequestedEventArgs e)
    {
        if (e.Text.Equals("test"))
        {
            EmployeeSearchRadComboBox.DataSource = employeeInfo;
            EmployeeSearchRadComboBox.DataTextField = "Name";
            EmployeeSearchRadComboBox.DataValueField = "ID";
            EmployeeSearchRadComboBox.DataBind();
        }


    }  

}